# -*- coding:UTF-8 -*-
#!/usr/bin/python

# break 範例
# 電腦以亂數產生一數介於1~100之間(num)之後，使用者不斷猜測該數(guess)，
# 每次猜測時電腦必須提示猜的太大或太小，此動作一直重複直到猜中為止。

import sys
import random

maxNum = 100
if len(sys.argv) > 1:
   maxNum = int(sys.argv[1])

print('歡迎來玩猜數字，如果不想猜了，可以輸入 0 結束遊戲喔！')
ans = random.randint(1, maxNum)
count = 1

while True:
    print('第', count, '次猜測')
    guess = int(input('請輸入一個 1~%d 的數字: ' % maxNum))
    if guess == 0:
        print('太可惜了，你不玩了！答案其實是: ', ans)
        break
    elif guess == ans:
        print('恭喜答對!! 數字的確是', ans)
        break
    elif guess < ans:
        print('猜錯囉，你猜的太小了')
    else:
        print('猜錯囉，你猜的太大了')
    count += 1

input('按 Enter 結束。')
